Shader "Custom/DarkenOrDifference" {
	Properties {
		_MainTex1 ("Base1 (RGB)", 2D) = "white" {}
		_MainTex2 ("Base2 (RGB)", 2D) = "white" {}
	}

	SubShader {
		Tags { "RenderType"="Opaque" }
		LOD 200
		
		CGPROGRAM
		#pragma surface surf Lambert
		#pragma multi_compile DARKEN DIFFERENCE
		#pragma debug

		sampler2D _MainTex1;
		sampler2D _MainTex2;	

		struct Input 
		{
			float2 uv_MainTex1;
			float2 uv_MainTex2;
		};

		half4 Darken (half4 col1, half4 col2)
		{
			return min(col1, col2);
		}
		
		half4 Difference (half4 col1, half4 col2)
		{
			return abs(col1 - col2);
		}
		
		void surf (Input IN, inout SurfaceOutput o) {
			half4 col = 0;
			half4 col1 = tex2D (_MainTex1, IN.uv_MainTex1);
			half4 col2 = tex2D (_MainTex2, IN.uv_MainTex2);
			#ifdef DARKEN
			col = Darken (col1, col2);
			#else
			col = Difference (col1, col2);
			#endif

			o.Albedo = col.rgb;
			o.Alpha = col.a;
		}
		ENDCG
	} 
	FallBack "Diffuse"
	CustomEditor "CustomMatInspector"
}
