using System.Collections.Generic;
using UnityEngine;
using UnityEditor;
using System.Linq;

public class CustomMatInspector : MaterialEditor {
	public override void OnInspectorGUI ()
	{
		base.OnInspectorGUI ();

		var targetMat = target as Material;

		var keywords = targetMat.shaderKeywords;
		var darken = keywords.Contains ("DARKEN");
		var mode = EditorGUILayout.Popup ("Mode:", darken ? 0 : 1, new[] {"Darken", "Difference"});
		var darkenAfter = mode == 0;

		if (darken != darkenAfter)
		{
			var newKeywords = new List<string> { darkenAfter ? "DARKEN" : "DIFFERENCE"};
			targetMat.shaderKeywords = newKeywords.ToArray ();
			EditorUtility.SetDirty (targetMat);
		}
	}
}
