Shader "Custom/Histogram Line Shader" {
Properties {
	_Histogram ("Histogram", 2D) = "" {}
	_Color ("Color", Color) = (1,0.5,0.5,1)
	_Scale ("Scale", Float) = 1
}
SubShader {
Pass {

	ZWrite Off ZTest Always Cull Off Fog { Mode Off }
	
CGPROGRAM
#pragma target 5.0

#pragma vertex vert
#pragma fragment frag
#pragma only_renderers d3d11


#include "UnityCG.cginc"


struct vs_input {
	float4 vertex	: POSITION;
	fixed4 color	: COLOR;
};

struct ps_input {
	float4 pos : SV_POSITION;
	fixed4 col : COLOR0;
};

StructuredBuffer<int> _HistorgramSB;
float4 _Color;
float _Scale;

ps_input vert (vs_input v)
{
	ps_input o;

	o.pos = v.vertex;
	o.pos.y = _HistorgramSB[v.color.x * 255]/ _Scale;
	
	o.pos.xy -= float2(1,1);

	return o;
}

float4 frag (ps_input i) : COLOR
{
	return _Color;
}

ENDCG

}
}

Fallback "VertexLit"
}
