Shader "DX11/UAV In Pixel Shader" {
Properties {
	_MainTex ("Texture", 2D) = "white" {}
}
SubShader {
Pass {
	Cull Off ZWrite Off ZTest Always Fog { Mode Off }

CGPROGRAM
#pragma target 5.0

#pragma vertex vert_img
#pragma fragment frag

#include "UnityCG.cginc"

sampler2D _MainTex;

RWStructuredBuffer<int> _OutputRed : register(u1);
RWStructuredBuffer<int> _OutputGreen : register(u2);
RWStructuredBuffer<int> _OutputBlue : register(u3);

float4 frag (v2f_img i) : COLOR
{
	float4 col = tex2D (_MainTex, i.uv);
	
	int3 loc = int3(saturate(col.rgb)*255.0);
	InterlockedAdd (_OutputRed[loc.x], 1); 
	InterlockedAdd (_OutputGreen[loc.y], 1);
	InterlockedAdd (_OutputBlue[loc.z], 1);
	
	return col;
}

ENDCG

}
}

Fallback Off
}
