Shader "Hidden/LightingOnly" {
Properties {
	_MainTex ("MainTex", 2D) = "white" {}
	_BumpMap ("Bump", 2D) = "normal" {}
	_Cutoff ("Cutoff", float) = 0.5
	_Color ("Color", Color) = (1,1,1,1)
}
Category {
	Fog { Mode Off }

SubShader {
	Tags { "RenderType"="Opaque" }
	
	CGPROGRAM
	#pragma surface surf Lambert addshadow

	sampler2D _BumpMap;

	struct Input {
		float2 uv_BumpMap;
	};

	void surf (Input IN, inout SurfaceOutput o) {
		o.Albedo = 1;
		o.Alpha = 1;
		o.Normal = UnpackNormal(tex2D(_BumpMap, IN.uv_BumpMap));
	}
	ENDCG  
}

SubShader {
	Tags 
	{
		"Queue"="Transparent" 
		"IgnoreProjector"="True" 
		"RenderType"="Transparent"
		"ForceNoShadowCasting"="True"
	}
	
	CGPROGRAM
	#pragma surface surf Lambert alpha

	sampler2D _MainTex;
	sampler2D _BumpMap;
	fixed4 _Color;

	struct Input {
		float2 uv_MainTex;
		float2 uv_BumpMap;
	};

	void surf (Input IN, inout SurfaceOutput o) {
		fixed4 c = tex2D(_MainTex, IN.uv_MainTex) * _Color;
		o.Albedo = 1;
		o.Alpha = c.a;
		o.Normal = UnpackNormal(tex2D(_BumpMap, IN.uv_BumpMap));
	}
	ENDCG
}

SubShader {
	Tags {"Queue"="AlphaTest" "IgnoreProjector"="True" "RenderType"="TransparentCutout"}
	LOD 300
	
	CGPROGRAM
	#pragma surface surf Lambert alphatest:_Cutoff addshadow

	sampler2D _MainTex;
	sampler2D _BumpMap;
	fixed4 _Color;

	struct Input {
		float2 uv_MainTex;
		float2 uv_BumpMap;
	};

	void surf (Input IN, inout SurfaceOutput o) {
		fixed4 c = tex2D(_MainTex, IN.uv_MainTex) * _Color;
		o.Albedo = 1;
		o.Alpha = c.a;
		o.Normal = UnpackNormal(tex2D(_BumpMap, IN.uv_BumpMap));
	}
	ENDCG
}
}
}
