using UnityEngine;

[ExecuteInEditMode]
public class LightingOnlyCamera : MonoBehaviour {
	public Shader shader;

	void OnPreCull()
	{
		if (!enabled || !gameObject.activeSelf || shader == null)
			return;

		camera.SetReplacementShader (shader, "RenderType");
	}

	void OnPostRender() {
		if (!enabled || !gameObject.activeSelf || shader == null)
			return;
			
		camera.ResetReplacementShader();
	}
}

